$(document).ready(function(){
$('form[name=egresados]').submit(function(e){
	e.preventDefault(); 
	$('#egresadosencontrados').html("");
	
	var selected = '';    
	$('#egresados input[type=checkbox]').each(function(){
		if (this.checked) {
			selected += $(this).val()+',';
		}
	});
	
		/*if (selected != ''){   
        }else{
             alert('Debes seleccionar al menos una seccion.');
			 return false;
		     }*/
	
	var plantel = $('#plantelb').val();
	var	licenciatura = $('#licenciaturab').val();						
	var	fregi = $('#fregi').val();						
	var	fregf = $('#fregf').val();						
	var	fcomienzoi = $('#fcomienzoi').val();
	var	fcomienzof = $('#fcomienzof').val();
	var	fterminoi = $('#fterminoi').val();
	var	fterminof = $('#fterminof').val();
    var seccion = selected;
	
	if(fregi!="" && fregf==""){
		$("#egresadosencontrados").html("<font color='red'>Debes Seleccionar la Fecha de registro Final</font>");
		$("#fregf" ).focus();
		return false
	}
	if(fregf!="" && fregi==""){
		$("#egresadosencontrados").html("<font color='red'>Debes Seleccionar la Fecha de registro Inicial</font>");
		$("#fregi" ).focus();
		return false
	}
	if(fregi>fregf){
		$("#egresadosencontrados").html("<font color='red'>La fecha de registro inicial no debe ser mayor a la fecha de registro final</font>");
	    return false
	}
	
	if(fcomienzoi!="" && fcomienzof==""){
		$("#egresadosencontrados").html("<font color='red'>Debes Seleccionar la Fecha Comienzo Encuesta Final</font>");
		$("#fcomienzof" ).focus();
		return false
	}
	if(fcomienzof!="" && fcomienzoi==""){
		$("#egresadosencontrados").html("<font color='red'>Debes Seleccionar la Fecha Comienzo Encuesta Inicio</font>");
		$("#fcomienzoi" ).focus();
		return false
	}
	if(fcomienzoi>fcomienzof){
		$("#egresadosencontrados").html("<font color='red'>La Fecha Comienzo Encuesta Inicio no debe ser mayor a la Fecha Comienzo Encuesta Final</font>");
	    return false
	}
	
	if(fterminoi!="" && fterminof==""){
		$("#egresadosencontrados").html("<font color='red'>Debes Seleccionar la Fecha T&eacute;rmino Encuesta Final</font>");
		$("#fterminof" ).focus();
		return false
	}
	if(fterminof!="" && fterminoi==""){
		$("#egresadosencontrados").html("<font color='red'>Debes Seleccionar la Fecha T&eacute;rmino Encuesta Inicio</font>");
		$("#fterminoi" ).focus();
		return false
	}
	if(fterminoi>fterminof){
		$("#egresadosencontrados").html("<font color='red'>La Fecha T&eacute;rmino Encuesta Inicio no debe ser mayor a la Fecha T&eacute;rmino Encuesta Final</font>");
	    return false
	}
	
	if(plantel!="" || licenciatura!="" || fregi!="" || fregf!="" || fcomienzoi!="" || fcomienzof!="" || fterminoi!="" || fterminof!="" || seccion!=""){	
         $(".loadi").fadeIn('fast');load=true;	
		 $.post("reports/searchegresados.php", {plantel:plantel,licenciatura:licenciatura,fregi:fregi,fregf:fregf,fcomienzoi:fcomienzoi,fcomienzof:fcomienzof,fterminoi:fterminoi,fterminof:fterminof,seccion:seccion}, function(data){
		 $("#egresadosencontrados").html(data);
		});
    }else{$("#egresadosencontrados").html("<font color='red'>Captura por lo menos un criterio para la b&uacute;squeda</font>");}
});

$("#fregi").on("dblclick", function() {
    $('#fregi').val("");
});
$("#fregf").on("dblclick", function() {
    $('#fregf').val("");
});
$("#fcomienzoi").on("dblclick", function() {
    $('#fcomienzoi').val("");
});
$("#fcomienzof").on("dblclick", function() {
    $('#fcomienzof').val("");
});
$("#fterminoi").on("dblclick", function() {
    $('#fterminoi').val("");
});
$("#fterminof").on("dblclick", function() {
    $('#fterminof').val("");
});

});